#Released under the terms of the GNU General Public License (See =COPYING)
#Copyright (C) 2002 Michael Grubb

package RT::Action::MoveToQueue;
require RT::Action::Generic;
@ISA=qw(RT::Action::Generic);

#Do what we need to do and send it out.
our $VERSION = '1.0';
#What does this type of Action does
our $queue = undef;

# {{{ sub Describe 
sub Describe  {
  my $self = shift;
  return (ref $self . " will move the ticket to the queue given in the argument.");
}
# }}}


# {{{ sub Prepare 
sub Prepare  {
	my $self = shift;
	return 1;
}
# }}}

sub Commit {
    my $self = shift;
	$queue = new RT::Queue($self->TransactionObj->CurrentUser);
	$queue->Load($self->Argument());
	my ($retval, $error) = $self->TicketObj->SetQueue($queue->Id());
	$RT::Logger->debug("$error\n");
	return $retval;
}


# Applicability checked in Commit.

# {{{ sub IsApplicable 
sub IsApplicable  {
  my $self = shift;
  1;  
  return 1;
}
# }}}

1;

# tag: Michael Grubb Wed May  1 12:15:57 CDT 2002 (move-to-queue/MoveToQueue.pm)
#
