#!/usr/bin/perl -w
#Released under the terms of the GNU General Public License (See =COPYING)

use lib '/path/to/rt2/lib';
use lib '/path/to/rt2/config';

use config;

use Carp;

use RT::Handle;
use RT::User;
use RT::CurrentUser;

$RT::Handle = new RT::Handle( $RT::DatabaseType );
$RT::Handle->Connect;

my $CurrentUser = new RT::CurrentUser();

use RT::Interface::CLI qw(CleanEnv LoadConfig DBConnect
							GetCurrentUser GetMessageContent);

CleanEnv();

LoadConfig();

DBConnect();

$CurrentUser->LoadByName('RT_System');

my @ScripActions = (
	{
		Name => 'MoveTo<YOUR QUEUE>Queue',
		Description => 'Moves ticket to <YOUR QUEUE> queue',
		Argument => '<YOUR QUEUE>',
		ExecModule => 'MoveToQueue',
	},
	
);

print "Creating ScripActions...";

use RT::ScripAction;
for $item (@ScripActions)
{
	my $new_entry = new RT::ScripAction($CurrentUser);
	my $return = $new_entry->Create(%$item);
	print $return . ".";
}

print "done.\n";

$RT::Handle->Disconnect();

1;

# tag: Michael Grubb Wed May  1 12:14:20 CDT 2002 (move-to-queue/insert_action_MoveToQueue.pl)
#
